Package org.apache.sling.event.impl.jobs.tasks

# Class UpgradeTask

java.lang.Object
org.apache.sling.event.impl.jobs.tasks.UpgradeTask

public class UpgradeTask extends Object
Upgrade task Upgrade jobs from earlier versions to the new format.

## Constructor Summary

Constructors
Constructor
Description
`UpgradeTask(JobManagerConfiguration config)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Upgrade

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpgradeTask

public UpgradeTask(JobManagerConfiguration config)
Constructor

Parameters:
  `config` - the configuration

## Method Details

### run

public void run()
Upgrade